summary refs log tree commit diff
path: root/home/.local/bin/open
diff options
context:
space:
mode:
authorJune McEnroe <june@causal.agency>2021-02-09 17:40:41 -0500
committerJune McEnroe <june@causal.agency>2021-02-09 17:40:41 -0500
commitd3aa4117f6210bb30dd6d17b42bdb40e3c5399d0 (patch)
tree209efd428c68fee383174ff35a016e1930249306 /home/.local/bin/open
parentUse flags for pbd client behaviour (diff)
downloadsrc-d3aa4117f6210bb30dd6d17b42bdb40e3c5399d0.tar.gz
src-d3aa4117f6210bb30dd6d17b42bdb40e3c5399d0.zip
Add pbcopy, pbpaste, open dispatch scripts
Diffstat (limited to 'home/.local/bin/open')
-rwxr-xr-xhome/.local/bin/open18
1 files changed, 18 insertions, 0 deletions
diff --git a/home/.local/bin/open b/home/.local/bin/open
new file mode 100755
index 00000000..256a62e2
--- /dev/null
+++ b/home/.local/bin/open
@@ -0,0 +1,18 @@
+#!/bin/sh
+set -eu
+
+if [ -n "${SSH_CLIENT:-}" ]; then
+	exec pbd -o "$@"
+fi
+
+case "$1" in
+	(*.gif|*.jpeg|*.jpg|*.png)
+		curl -LSs "$1" | imv -
+		;;
+	(*.txt)
+		exec xterm -hold -e sh -c 'curl -LSs "$1" | $PAGER' - "$1"
+		;;
+	(*)
+		printf '%s' "$1" | pbcopy
+		;;
+esac
td>Add photos from September 12June McEnroe 2024-09-24Add photos from September 7June McEnroe 2024-09-24Allow not having descriptionsJune McEnroe 2024-09-23Automatically select the last used lens for a bodyJune McEnroe 2024-09-19Add photos from September 5June McEnroe 2024-09-15Add some more film stocks to the listJune McEnroe 2024-09-13Add photos from September 2June McEnroe 2024-09-13Add Fomapan 200 to films listJune McEnroe 2024-09-10Add August 29 picnic photosJune McEnroe 2024-09-08Apply some bold to trips renderingJune McEnroe 2024-09-08Render trips hopefully more efficientlyJune McEnroe 2024-09-08Allow removing bodies and lensesJune McEnroe 2024-09-08Limit body width so it looks less silly on desktopJune McEnroe 2024-09-07Handle no film being loadedJune McEnroe 2024-09-07Fancy up the text a littleJune McEnroe